searchData={"items":[{"type":"module","title":"Glossia","doc":"Glossia keeps the contexts that define your domain\nand business logic.\n\nContexts are also responsible for managing your data, regardless\nif it comes from the database, an external API or others.","ref":"Glossia.html"},{"type":"module","title":"Glossia.Environment","doc":"Glossia is configured at runtime using environment variables. This module provides an interface to read and validate the configuration.\nAll the configuration env. variables are scoped under the `GLOSSIA_` prefix.","ref":"Glossia.Environment.html"},{"type":"function","title":"Glossia.Environment.check_missing_email_env_variables/2","doc":"","ref":"Glossia.Environment.html#check_missing_email_env_variables/2"},{"type":"function","title":"Glossia.Environment.email_adapter/1","doc":"Returns the email adapter to use.","ref":"Glossia.Environment.html#email_adapter/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_adapter/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_adapter/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_adapter/1","doc":"- `:smtp` - The SMTP adapter.","ref":"Glossia.Environment.html#email_adapter/1-returns"},{"type":"function","title":"Raises - Glossia.Environment.email_adapter/1","doc":"- `RuntimeError` if the email adapter is invalid.","ref":"Glossia.Environment.html#email_adapter/1-raises"},{"type":"function","title":"Glossia.Environment.email_smtp_auth/1","doc":"Returns the SMTP authentication to use.","ref":"Glossia.Environment.html#email_smtp_auth/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_smtp_auth/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_smtp_auth/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_smtp_auth/1","doc":"- `atom()` - The SMTP authentication.","ref":"Glossia.Environment.html#email_smtp_auth/1-returns"},{"type":"function","title":"Example - Glossia.Environment.email_smtp_auth/1","doc":"> iex> Glossia.Environment.email_smtp_auth()\n:always","ref":"Glossia.Environment.html#email_smtp_auth/1-example"},{"type":"function","title":"Glossia.Environment.email_smtp_no_mx_lookups/1","doc":"Returns whether to use no MX lookups.","ref":"Glossia.Environment.html#email_smtp_no_mx_lookups/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_smtp_no_mx_lookups/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_smtp_no_mx_lookups/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_smtp_no_mx_lookups/1","doc":"- `boolean()` - Whether to use no MX lookups.","ref":"Glossia.Environment.html#email_smtp_no_mx_lookups/1-returns"},{"type":"function","title":"Example - Glossia.Environment.email_smtp_no_mx_lookups/1","doc":"> iex> Glossia.Environment.email_smtp_no_mx_lookups()\ntrue","ref":"Glossia.Environment.html#email_smtp_no_mx_lookups/1-example"},{"type":"function","title":"Glossia.Environment.email_smtp_password/1","doc":"Returns the SMTP password to use.","ref":"Glossia.Environment.html#email_smtp_password/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_smtp_password/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_smtp_password/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_smtp_password/1","doc":"- `String.t()` - The SMTP password.","ref":"Glossia.Environment.html#email_smtp_password/1-returns"},{"type":"function","title":"Example - Glossia.Environment.email_smtp_password/1","doc":"> iex> Glossia.Environment.email_smtp_password()\n\"ilovepepperpotts\"","ref":"Glossia.Environment.html#email_smtp_password/1-example"},{"type":"function","title":"Glossia.Environment.email_smtp_port/1","doc":"Returns the SMTP port to use.","ref":"Glossia.Environment.html#email_smtp_port/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_smtp_port/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_smtp_port/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_smtp_port/1","doc":"- `integer()` - The SMTP port.","ref":"Glossia.Environment.html#email_smtp_port/1-returns"},{"type":"function","title":"Example - Glossia.Environment.email_smtp_port/1","doc":"> iex> Glossia.Environment.email_smtp_port()","ref":"Glossia.Environment.html#email_smtp_port/1-example"},{"type":"function","title":"Glossia.Environment.email_smtp_relay/1","doc":"Returns the SMTP relay to use.","ref":"Glossia.Environment.html#email_smtp_relay/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_smtp_relay/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_smtp_relay/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_smtp_relay/1","doc":"- `String.t()` - The SMTP relay.","ref":"Glossia.Environment.html#email_smtp_relay/1-returns"},{"type":"function","title":"Example - Glossia.Environment.email_smtp_relay/1","doc":"> iex> Glossia.Environment.email_smtp_relay()\n\"smtp.avengers.com\"","ref":"Glossia.Environment.html#email_smtp_relay/1-example"},{"type":"function","title":"Glossia.Environment.email_smtp_retries/1","doc":"Returns the SMTP retries to use.","ref":"Glossia.Environment.html#email_smtp_retries/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_smtp_retries/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_smtp_retries/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_smtp_retries/1","doc":"- `integer()` - The SMTP retries.","ref":"Glossia.Environment.html#email_smtp_retries/1-returns"},{"type":"function","title":"Example - Glossia.Environment.email_smtp_retries/1","doc":"> iex> Glossia.Environment.email_smtp_retries()","ref":"Glossia.Environment.html#email_smtp_retries/1-example"},{"type":"function","title":"Glossia.Environment.email_smtp_ssl/1","doc":"Returns whether to use SSL.","ref":"Glossia.Environment.html#email_smtp_ssl/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_smtp_ssl/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_smtp_ssl/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_smtp_ssl/1","doc":"- `boolean()` - Whether to use SSL.","ref":"Glossia.Environment.html#email_smtp_ssl/1-returns"},{"type":"function","title":"Example - Glossia.Environment.email_smtp_ssl/1","doc":"> iex> Glossia.Environment.email_smtp_ssl()\ntrue","ref":"Glossia.Environment.html#email_smtp_ssl/1-example"},{"type":"function","title":"Glossia.Environment.email_smtp_tls/1","doc":"Returns whether to use TLS.","ref":"Glossia.Environment.html#email_smtp_tls/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_smtp_tls/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_smtp_tls/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_smtp_tls/1","doc":"- `atom()` - Whether to use TLS.","ref":"Glossia.Environment.html#email_smtp_tls/1-returns"},{"type":"function","title":"Example - Glossia.Environment.email_smtp_tls/1","doc":"> iex> Glossia.Environment.email_smtp_tls()\n:always","ref":"Glossia.Environment.html#email_smtp_tls/1-example"},{"type":"function","title":"Glossia.Environment.email_smtp_user/1","doc":"Returns the SMTP username to use.","ref":"Glossia.Environment.html#email_smtp_user/1"},{"type":"function","title":"Parameters - Glossia.Environment.email_smtp_user/1","doc":"- `env` - The environment variables to use. Defaults to `System.get_env()`.","ref":"Glossia.Environment.html#email_smtp_user/1-parameters"},{"type":"function","title":"Returns - Glossia.Environment.email_smtp_user/1","doc":"- `String.t()` - The SMTP username.","ref":"Glossia.Environment.html#email_smtp_user/1-returns"},{"type":"function","title":"Example - Glossia.Environment.email_smtp_user/1","doc":"> iex> Glossia.Environment.email_smtp_user()\n\"tonystark\"","ref":"Glossia.Environment.html#email_smtp_user/1-example"},{"type":"function","title":"Glossia.Environment.raise_when_required_absent/0","doc":"","ref":"Glossia.Environment.html#raise_when_required_absent/0"},{"type":"module","title":"Glossia.Release","doc":"Used for executing DB release tasks when run in production without Mix\ninstalled.","ref":"Glossia.Release.html"},{"type":"function","title":"Glossia.Release.migrate/0","doc":"","ref":"Glossia.Release.html#migrate/0"},{"type":"function","title":"Glossia.Release.rollback/2","doc":"","ref":"Glossia.Release.html#rollback/2"},{"type":"module","title":"Glossia.Repo","doc":"","ref":"Glossia.Repo.html"},{"type":"function","title":"Glossia.Repo.aggregate/3","doc":"","ref":"Glossia.Repo.html#aggregate/3"},{"type":"function","title":"Glossia.Repo.aggregate/4","doc":"","ref":"Glossia.Repo.html#aggregate/4"},{"type":"function","title":"Glossia.Repo.all/2","doc":"","ref":"Glossia.Repo.html#all/2"},{"type":"function","title":"Glossia.Repo.checked_out?/0","doc":"","ref":"Glossia.Repo.html#checked_out?/0"},{"type":"function","title":"Glossia.Repo.checkout/2","doc":"","ref":"Glossia.Repo.html#checkout/2"},{"type":"function","title":"Glossia.Repo.child_spec/1","doc":"","ref":"Glossia.Repo.html#child_spec/1"},{"type":"function","title":"Glossia.Repo.config/0","doc":"","ref":"Glossia.Repo.html#config/0"},{"type":"function","title":"Glossia.Repo.default_options/1","doc":"","ref":"Glossia.Repo.html#default_options/1"},{"type":"function","title":"Glossia.Repo.delete/2","doc":"","ref":"Glossia.Repo.html#delete/2"},{"type":"function","title":"Glossia.Repo.delete!/2","doc":"","ref":"Glossia.Repo.html#delete!/2"},{"type":"function","title":"Glossia.Repo.delete_all/2","doc":"","ref":"Glossia.Repo.html#delete_all/2"},{"type":"function","title":"Glossia.Repo.disconnect_all/2","doc":"A convenience function for SQL-based repositories that forces all connections in the\npool to disconnect within the given interval.\n\nSee `Ecto.Adapters.SQL.disconnect_all/3` for more information.","ref":"Glossia.Repo.html#disconnect_all/2"},{"type":"function","title":"Glossia.Repo.exists?/2","doc":"","ref":"Glossia.Repo.html#exists?/2"},{"type":"function","title":"Glossia.Repo.explain/3","doc":"A convenience function for SQL-based repositories that executes an EXPLAIN statement or similar\ndepending on the adapter to obtain statistics for the given query.\n\nSee `Ecto.Adapters.SQL.explain/4` for more information.","ref":"Glossia.Repo.html#explain/3"},{"type":"function","title":"Glossia.Repo.get/3","doc":"","ref":"Glossia.Repo.html#get/3"},{"type":"function","title":"Glossia.Repo.get!/3","doc":"","ref":"Glossia.Repo.html#get!/3"},{"type":"function","title":"Glossia.Repo.get_by/3","doc":"","ref":"Glossia.Repo.html#get_by/3"},{"type":"function","title":"Glossia.Repo.get_by!/3","doc":"","ref":"Glossia.Repo.html#get_by!/3"},{"type":"function","title":"Glossia.Repo.get_dynamic_repo/0","doc":"","ref":"Glossia.Repo.html#get_dynamic_repo/0"},{"type":"function","title":"Glossia.Repo.in_transaction?/0","doc":"","ref":"Glossia.Repo.html#in_transaction?/0"},{"type":"function","title":"Glossia.Repo.insert/2","doc":"","ref":"Glossia.Repo.html#insert/2"},{"type":"function","title":"Glossia.Repo.insert!/2","doc":"","ref":"Glossia.Repo.html#insert!/2"},{"type":"function","title":"Glossia.Repo.insert_all/3","doc":"","ref":"Glossia.Repo.html#insert_all/3"},{"type":"function","title":"Glossia.Repo.insert_or_update/2","doc":"","ref":"Glossia.Repo.html#insert_or_update/2"},{"type":"function","title":"Glossia.Repo.insert_or_update!/2","doc":"","ref":"Glossia.Repo.html#insert_or_update!/2"},{"type":"function","title":"Glossia.Repo.load/2","doc":"","ref":"Glossia.Repo.html#load/2"},{"type":"function","title":"Glossia.Repo.one/2","doc":"","ref":"Glossia.Repo.html#one/2"},{"type":"function","title":"Glossia.Repo.one!/2","doc":"","ref":"Glossia.Repo.html#one!/2"},{"type":"function","title":"Glossia.Repo.preload/3","doc":"","ref":"Glossia.Repo.html#preload/3"},{"type":"function","title":"Glossia.Repo.prepare_query/3","doc":"","ref":"Glossia.Repo.html#prepare_query/3"},{"type":"function","title":"Glossia.Repo.put_dynamic_repo/1","doc":"","ref":"Glossia.Repo.html#put_dynamic_repo/1"},{"type":"function","title":"Glossia.Repo.query/3","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query/4` for more information.","ref":"Glossia.Repo.html#query/3"},{"type":"function","title":"Glossia.Repo.query!/3","doc":"A convenience function for SQL-based repositories that executes the given query.\n\nSee `Ecto.Adapters.SQL.query!/4` for more information.","ref":"Glossia.Repo.html#query!/3"},{"type":"function","title":"Glossia.Repo.query_many/3","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many/4` for more information.","ref":"Glossia.Repo.html#query_many/3"},{"type":"function","title":"Glossia.Repo.query_many!/3","doc":"A convenience function for SQL-based repositories that executes the given multi-result query.\n\nSee `Ecto.Adapters.SQL.query_many!/4` for more information.","ref":"Glossia.Repo.html#query_many!/3"},{"type":"function","title":"Glossia.Repo.reload/2","doc":"","ref":"Glossia.Repo.html#reload/2"},{"type":"function","title":"Glossia.Repo.reload!/2","doc":"","ref":"Glossia.Repo.html#reload!/2"},{"type":"function","title":"Glossia.Repo.rollback/1","doc":"","ref":"Glossia.Repo.html#rollback/1"},{"type":"function","title":"Glossia.Repo.start_link/1","doc":"","ref":"Glossia.Repo.html#start_link/1"},{"type":"function","title":"Glossia.Repo.stop/1","doc":"","ref":"Glossia.Repo.html#stop/1"},{"type":"function","title":"Glossia.Repo.stream/2","doc":"","ref":"Glossia.Repo.html#stream/2"},{"type":"function","title":"Glossia.Repo.to_sql/2","doc":"A convenience function for SQL-based repositories that translates the given query to SQL.\n\nSee `Ecto.Adapters.SQL.to_sql/3` for more information.","ref":"Glossia.Repo.html#to_sql/2"},{"type":"function","title":"Glossia.Repo.transaction/2","doc":"","ref":"Glossia.Repo.html#transaction/2"},{"type":"function","title":"Glossia.Repo.update/2","doc":"","ref":"Glossia.Repo.html#update/2"},{"type":"function","title":"Glossia.Repo.update!/2","doc":"","ref":"Glossia.Repo.html#update!/2"},{"type":"function","title":"Glossia.Repo.update_all/3","doc":"","ref":"Glossia.Repo.html#update_all/3"},{"type":"module","title":"GlossiaWeb","doc":"The entrypoint for defining your web interface, such\nas controllers, components, channels, and so on.\n\nThis can be used in your application as:\n\n    use GlossiaWeb, :controller\n    use GlossiaWeb, :html\n\nThe definitions below will be executed for every controller,\ncomponent, etc, so keep them short and clean, focused\non imports, uses and aliases.\n\nDo NOT define functions inside the quoted expressions\nbelow. Instead, define additional modules and import\nthose modules here.","ref":"GlossiaWeb.html"},{"type":"macro","title":"GlossiaWeb.__using__/1","doc":"When used, dispatch to the appropriate controller/live_view/etc.","ref":"GlossiaWeb.html#__using__/1"},{"type":"function","title":"GlossiaWeb.channel/0","doc":"","ref":"GlossiaWeb.html#channel/0"},{"type":"function","title":"GlossiaWeb.controller/0","doc":"","ref":"GlossiaWeb.html#controller/0"},{"type":"function","title":"GlossiaWeb.html/0","doc":"","ref":"GlossiaWeb.html#html/0"},{"type":"function","title":"GlossiaWeb.live_component/0","doc":"","ref":"GlossiaWeb.html#live_component/0"},{"type":"function","title":"GlossiaWeb.live_view/0","doc":"","ref":"GlossiaWeb.html#live_view/0"},{"type":"function","title":"GlossiaWeb.router/0","doc":"","ref":"GlossiaWeb.html#router/0"},{"type":"function","title":"GlossiaWeb.static_paths/0","doc":"","ref":"GlossiaWeb.html#static_paths/0"},{"type":"function","title":"GlossiaWeb.verified_routes/0","doc":"","ref":"GlossiaWeb.html#verified_routes/0"},{"type":"module","title":"GlossiaWeb.CoreComponents","doc":"Provides core UI components.\n\nAt first glance, this module may seem daunting, but its goal is to provide\ncore building blocks for your application, such as modals, tables, and\nforms. The components consist mostly of markup and are well-documented\nwith doc strings and declarative assigns. You may customize and style\nthem in any way you want, based on your application growth and needs.\n\nThe default components use Tailwind CSS, a utility-first CSS framework.\nSee the [Tailwind CSS documentation](https://tailwindcss.com) to learn\nhow to customize them or feel free to swap in another framework altogether.\n\nIcons are provided by [heroicons](https://heroicons.com). See `icon/1` for usage.","ref":"GlossiaWeb.CoreComponents.html"},{"type":"function","title":"GlossiaWeb.CoreComponents.back/1","doc":"Renders a back navigation link.","ref":"GlossiaWeb.CoreComponents.html#back/1"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.back/1","doc":"<.back navigate={~p\"/posts\"}>Back to posts</.back>","ref":"GlossiaWeb.CoreComponents.html#back/1-examples"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.back/1","doc":"* `navigate` (`:any`) (required)","ref":"GlossiaWeb.CoreComponents.html#back/1-attributes"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.back/1","doc":"* `inner_block` (required)","ref":"GlossiaWeb.CoreComponents.html#back/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.button/1","doc":"Renders a button.","ref":"GlossiaWeb.CoreComponents.html#button/1"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.button/1","doc":"<.button>Send!</.button>\n    <.button phx-click=\"go\" class=\"ml-2\">Send!</.button>","ref":"GlossiaWeb.CoreComponents.html#button/1-examples"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.button/1","doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"GlossiaWeb.CoreComponents.html#button/1-attributes"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.button/1","doc":"* `inner_block` (required)","ref":"GlossiaWeb.CoreComponents.html#button/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.error/1","doc":"Generates a generic error message.","ref":"GlossiaWeb.CoreComponents.html#error/1"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.error/1","doc":"* `inner_block` (required)","ref":"GlossiaWeb.CoreComponents.html#error/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.flash/1","doc":"Renders flash notices.","ref":"GlossiaWeb.CoreComponents.html#flash/1"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.flash/1","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","ref":"GlossiaWeb.CoreComponents.html#flash/1-examples"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.flash/1","doc":"* `id` (`:string`) - the optional id of flash container.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:info`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"GlossiaWeb.CoreComponents.html#flash/1-attributes"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.flash/1","doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"GlossiaWeb.CoreComponents.html#flash/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.flash_group/1","doc":"Shows the flash group with standard titles and content.","ref":"GlossiaWeb.CoreComponents.html#flash_group/1"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.flash_group/1","doc":"<.flash_group flash={@flash} />","ref":"GlossiaWeb.CoreComponents.html#flash_group/1-examples"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.flash_group/1","doc":"* `flash` (`:map`) (required) - the map of flash messages.\n* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash-group\"`.","ref":"GlossiaWeb.CoreComponents.html#flash_group/1-attributes"},{"type":"function","title":"GlossiaWeb.CoreComponents.header/1","doc":"Renders a header with title.","ref":"GlossiaWeb.CoreComponents.html#header/1"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.header/1","doc":"* `class` (`:string`) - Defaults to `nil`.","ref":"GlossiaWeb.CoreComponents.html#header/1-attributes"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.header/1","doc":"* `inner_block` (required)\n* `subtitle`\n* `actions`","ref":"GlossiaWeb.CoreComponents.html#header/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.hide/2","doc":"","ref":"GlossiaWeb.CoreComponents.html#hide/2"},{"type":"function","title":"GlossiaWeb.CoreComponents.hide_modal/2","doc":"","ref":"GlossiaWeb.CoreComponents.html#hide_modal/2"},{"type":"function","title":"GlossiaWeb.CoreComponents.icon/1","doc":"Renders a [Heroicon](https://heroicons.com).\n\nHeroicons come in three styles – outline, solid, and mini.\nBy default, the outline style is used, but solid and mini may\nbe applied by using the `-solid` and `-mini` suffix.\n\nYou can customize the size and colors of the icons by setting\nwidth, height, and background color classes.\n\nIcons are extracted from the `deps/heroicons` directory and bundled within\nyour compiled app.css by the plugin in your `assets/tailwind.config.js`.","ref":"GlossiaWeb.CoreComponents.html#icon/1"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.icon/1","doc":"<.icon name=\"hero-x-mark-solid\" />\n    <.icon name=\"hero-arrow-path\" class=\"ml-1 w-3 h-3 animate-spin\" />","ref":"GlossiaWeb.CoreComponents.html#icon/1-examples"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.icon/1","doc":"* `name` (`:string`) (required)\n* `class` (`:string`) - Defaults to `nil`.","ref":"GlossiaWeb.CoreComponents.html#icon/1-attributes"},{"type":"function","title":"GlossiaWeb.CoreComponents.input/1","doc":"Renders an input with label and error messages.\n\nA `Phoenix.HTML.FormField` may be passed as argument,\nwhich is used to retrieve the input name, id, and values.\nOtherwise all attributes may be passed explicitly.","ref":"GlossiaWeb.CoreComponents.html#input/1"},{"type":"function","title":"Types - GlossiaWeb.CoreComponents.input/1","doc":"This function accepts all HTML input types, considering that:\n\n  * You may also set `type=\"select\"` to render a ` ` tag\n\n  * `type=\"checkbox\"` is used exclusively to render boolean values\n\n  * For live file uploads, see `Phoenix.Component.live_file_input/1`\n\nSee https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input\nfor more information. Unsupported types, such as hidden and radio,\nare best written directly in your templates.","ref":"GlossiaWeb.CoreComponents.html#input/1-types"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.input/1","doc":"<.input field={@form[:email]} type=\"email\" />\n    <.input name=\"my-input\" errors={[\"oh no!\"]} />","ref":"GlossiaWeb.CoreComponents.html#input/1-examples"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.input/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"GlossiaWeb.CoreComponents.html#input/1-attributes"},{"type":"function","title":"GlossiaWeb.CoreComponents.label/1","doc":"Renders a label.","ref":"GlossiaWeb.CoreComponents.html#label/1"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.label/1","doc":"* `for` (`:string`) - Defaults to `nil`.","ref":"GlossiaWeb.CoreComponents.html#label/1-attributes"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.label/1","doc":"* `inner_block` (required)","ref":"GlossiaWeb.CoreComponents.html#label/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.list/1","doc":"Renders a data list.","ref":"GlossiaWeb.CoreComponents.html#list/1"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.list/1","doc":"<.list>\n      <:item title=\"Title\">{@post.title}</:item>\n      <:item title=\"Views\">{@post.views}</:item>\n    </.list>","ref":"GlossiaWeb.CoreComponents.html#list/1-examples"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.list/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `title` (`:string`) (required)","ref":"GlossiaWeb.CoreComponents.html#list/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.modal/1","doc":"Renders a modal.","ref":"GlossiaWeb.CoreComponents.html#modal/1"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.modal/1","doc":"<.modal id=\"confirm-modal\">\n      This is a modal.\n    </.modal>\n\nJS commands may be passed to the `:on_cancel` to configure\nthe closing/cancel event, for example:\n\n    <.modal id=\"confirm\" on_cancel={JS.navigate(~p\"/posts\")}>\n      This is another modal.\n    </.modal>","ref":"GlossiaWeb.CoreComponents.html#modal/1-examples"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.modal/1","doc":"* `id` (`:string`) (required)\n* `show` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","ref":"GlossiaWeb.CoreComponents.html#modal/1-attributes"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.modal/1","doc":"* `inner_block` (required)","ref":"GlossiaWeb.CoreComponents.html#modal/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.show/2","doc":"","ref":"GlossiaWeb.CoreComponents.html#show/2"},{"type":"function","title":"GlossiaWeb.CoreComponents.show_modal/2","doc":"","ref":"GlossiaWeb.CoreComponents.html#show_modal/2"},{"type":"function","title":"GlossiaWeb.CoreComponents.simple_form/1","doc":"Renders a simple form.","ref":"GlossiaWeb.CoreComponents.html#simple_form/1"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.simple_form/1","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","ref":"GlossiaWeb.CoreComponents.html#simple_form/1-examples"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.simple_form/1","doc":"* `for` (`:any`) (required) - the data structure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","ref":"GlossiaWeb.CoreComponents.html#simple_form/1-attributes"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.simple_form/1","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"GlossiaWeb.CoreComponents.html#simple_form/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.table/1","doc":"Renders a table with generic styling.","ref":"GlossiaWeb.CoreComponents.html#table/1"},{"type":"function","title":"Examples - GlossiaWeb.CoreComponents.table/1","doc":"<.table id=\"users\" rows={@users}>\n      <:col :let={user} label=\"id\">{user.id}</:col>\n      <:col :let={user} label=\"username\">{user.username}</:col>\n    </.table>","ref":"GlossiaWeb.CoreComponents.html#table/1-examples"},{"type":"function","title":"Attributes - GlossiaWeb.CoreComponents.table/1","doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required)\n* `row_id` (`:any`) - the function for generating the row id. Defaults to `nil`.\n* `row_click` (`:any`) - the function for handling phx-click on each row. Defaults to `nil`.\n* `row_item` (`:any`) - the function for mapping each row before calling the :col and :action slots. Defaults to `&Function.identity/1`.","ref":"GlossiaWeb.CoreComponents.html#table/1-attributes"},{"type":"function","title":"Slots - GlossiaWeb.CoreComponents.table/1","doc":"* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`)\n* `action` - the slot for showing user actions in the last table column.","ref":"GlossiaWeb.CoreComponents.html#table/1-slots"},{"type":"function","title":"GlossiaWeb.CoreComponents.translate_error/1","doc":"Translates an error message using gettext.","ref":"GlossiaWeb.CoreComponents.html#translate_error/1"},{"type":"function","title":"GlossiaWeb.CoreComponents.translate_errors/2","doc":"Translates the errors for a field from a keyword list of errors.","ref":"GlossiaWeb.CoreComponents.html#translate_errors/2"},{"type":"module","title":"GlossiaWeb.Endpoint","doc":"","ref":"GlossiaWeb.Endpoint.html"},{"type":"function","title":"GlossiaWeb.Endpoint.broadcast/3","doc":"","ref":"GlossiaWeb.Endpoint.html#broadcast/3"},{"type":"function","title":"GlossiaWeb.Endpoint.broadcast!/3","doc":"","ref":"GlossiaWeb.Endpoint.html#broadcast!/3"},{"type":"function","title":"GlossiaWeb.Endpoint.broadcast_from/4","doc":"","ref":"GlossiaWeb.Endpoint.html#broadcast_from/4"},{"type":"function","title":"GlossiaWeb.Endpoint.broadcast_from!/4","doc":"","ref":"GlossiaWeb.Endpoint.html#broadcast_from!/4"},{"type":"function","title":"GlossiaWeb.Endpoint.call/2","doc":"","ref":"GlossiaWeb.Endpoint.html#call/2"},{"type":"function","title":"GlossiaWeb.Endpoint.child_spec/1","doc":"Returns the child specification to start the endpoint\nunder a supervision tree.","ref":"GlossiaWeb.Endpoint.html#child_spec/1"},{"type":"function","title":"GlossiaWeb.Endpoint.config/2","doc":"Returns the endpoint configuration for `key`\n\nReturns `default` if the key does not exist.","ref":"GlossiaWeb.Endpoint.html#config/2"},{"type":"function","title":"GlossiaWeb.Endpoint.config_change/2","doc":"Reloads the configuration given the application environment changes.","ref":"GlossiaWeb.Endpoint.html#config_change/2"},{"type":"function","title":"GlossiaWeb.Endpoint.host/0","doc":"Returns the host for the given endpoint.","ref":"GlossiaWeb.Endpoint.html#host/0"},{"type":"function","title":"GlossiaWeb.Endpoint.init/1","doc":"","ref":"GlossiaWeb.Endpoint.html#init/1"},{"type":"function","title":"GlossiaWeb.Endpoint.local_broadcast/3","doc":"","ref":"GlossiaWeb.Endpoint.html#local_broadcast/3"},{"type":"function","title":"GlossiaWeb.Endpoint.local_broadcast_from/4","doc":"","ref":"GlossiaWeb.Endpoint.html#local_broadcast_from/4"},{"type":"function","title":"GlossiaWeb.Endpoint.path/1","doc":"Generates the path information when routing to this endpoint.","ref":"GlossiaWeb.Endpoint.html#path/1"},{"type":"function","title":"GlossiaWeb.Endpoint.script_name/0","doc":"Generates the script name.","ref":"GlossiaWeb.Endpoint.html#script_name/0"},{"type":"function","title":"GlossiaWeb.Endpoint.server_info/1","doc":"Returns the address and port that the server is running on","ref":"GlossiaWeb.Endpoint.html#server_info/1"},{"type":"function","title":"GlossiaWeb.Endpoint.start_link/1","doc":"Starts the endpoint supervision tree.\n\nAll other options are merged into the endpoint configuration.","ref":"GlossiaWeb.Endpoint.html#start_link/1"},{"type":"function","title":"GlossiaWeb.Endpoint.static_integrity/1","doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file\nin `priv/static`. Meant to be used for Subresource Integrity with CDNs.","ref":"GlossiaWeb.Endpoint.html#static_integrity/1"},{"type":"function","title":"GlossiaWeb.Endpoint.static_lookup/1","doc":"Returns a two item tuple with the first item being the `static_path`\nand the second item being the `static_integrity`.","ref":"GlossiaWeb.Endpoint.html#static_lookup/1"},{"type":"function","title":"GlossiaWeb.Endpoint.static_path/1","doc":"Generates a route to a static file in `priv/static`.","ref":"GlossiaWeb.Endpoint.html#static_path/1"},{"type":"function","title":"GlossiaWeb.Endpoint.static_url/0","doc":"Generates the static URL without any path information.\n\nIt uses the configuration under `:static_url` to generate\nsuch. It falls back to `:url` if `:static_url` is not set.","ref":"GlossiaWeb.Endpoint.html#static_url/0"},{"type":"function","title":"GlossiaWeb.Endpoint.struct_url/0","doc":"Generates the endpoint base URL but as a `URI` struct.\n\nIt uses the configuration under `:url` to generate such.\nUseful for manipulating the URL data and passing it to\nURL helpers.","ref":"GlossiaWeb.Endpoint.html#struct_url/0"},{"type":"function","title":"GlossiaWeb.Endpoint.subscribe/2","doc":"","ref":"GlossiaWeb.Endpoint.html#subscribe/2"},{"type":"function","title":"GlossiaWeb.Endpoint.unsubscribe/1","doc":"","ref":"GlossiaWeb.Endpoint.html#unsubscribe/1"},{"type":"function","title":"GlossiaWeb.Endpoint.url/0","doc":"Generates the endpoint base URL without any path information.\n\nIt uses the configuration under `:url` to generate such.","ref":"GlossiaWeb.Endpoint.html#url/0"},{"type":"module","title":"GlossiaWeb.ErrorHTML","doc":"This module is invoked by your endpoint in case of errors on HTML requests.\n\nSee config/config.exs.","ref":"GlossiaWeb.ErrorHTML.html"},{"type":"function","title":"GlossiaWeb.ErrorHTML.render/2","doc":"","ref":"GlossiaWeb.ErrorHTML.html#render/2"},{"type":"module","title":"GlossiaWeb.ErrorJSON","doc":"This module is invoked by your endpoint in case of errors on JSON requests.\n\nSee config/config.exs.","ref":"GlossiaWeb.ErrorJSON.html"},{"type":"function","title":"GlossiaWeb.ErrorJSON.render/2","doc":"","ref":"GlossiaWeb.ErrorJSON.html#render/2"},{"type":"module","title":"GlossiaWeb.Gettext","doc":"A module providing Internationalization with a gettext-based API.\n\nBy using [Gettext](https://hexdocs.pm/gettext), your module compiles translations\nthat you can use in your application. To use this Gettext backend module,\ncall `use Gettext` and pass it as an option:\n\n    use Gettext, backend: GlossiaWeb.Gettext\n\n    # Simple translation\n    gettext(\"Here is the string to translate\")\n\n    # Plural translation\n    ngettext(\"Here is the string to translate\",\n             \"Here are the strings to translate\",\n             3)\n\n    # Domain-based translation\n    dgettext(\"errors\", \"Here is the error message to translate\")\n\nSee the [Gettext Docs](https://hexdocs.pm/gettext) for detailed usage.","ref":"GlossiaWeb.Gettext.html"},{"type":"function","title":"GlossiaWeb.Gettext.handle_missing_bindings/2","doc":"","ref":"GlossiaWeb.Gettext.html#handle_missing_bindings/2"},{"type":"function","title":"GlossiaWeb.Gettext.handle_missing_plural_translation/7","doc":"","ref":"GlossiaWeb.Gettext.html#handle_missing_plural_translation/7"},{"type":"function","title":"GlossiaWeb.Gettext.handle_missing_translation/5","doc":"","ref":"GlossiaWeb.Gettext.html#handle_missing_translation/5"},{"type":"module","title":"GlossiaWeb.Layouts","doc":"This module holds different layouts used by your application.\n\nSee the `layouts` directory for all templates available.\nThe \"root\" layout is a skeleton rendered as part of the\napplication router. The \"app\" layout is set as the default\nlayout on both `use GlossiaWeb, :controller` and\n`use GlossiaWeb, :live_view`.","ref":"GlossiaWeb.Layouts.html"},{"type":"function","title":"GlossiaWeb.Layouts.app/1","doc":"","ref":"GlossiaWeb.Layouts.html#app/1"},{"type":"function","title":"GlossiaWeb.Layouts.root/1","doc":"","ref":"GlossiaWeb.Layouts.html#root/1"},{"type":"module","title":"GlossiaWeb.PageController","doc":"","ref":"GlossiaWeb.PageController.html"},{"type":"function","title":"GlossiaWeb.PageController.home/2","doc":"","ref":"GlossiaWeb.PageController.html#home/2"},{"type":"module","title":"GlossiaWeb.PageHTML","doc":"This module contains pages rendered by PageController.\n\nSee the `page_html` directory for all templates available.","ref":"GlossiaWeb.PageHTML.html"},{"type":"function","title":"GlossiaWeb.PageHTML.home/1","doc":"","ref":"GlossiaWeb.PageHTML.html#home/1"},{"type":"module","title":"GlossiaWeb.Router","doc":"","ref":"GlossiaWeb.Router.html"},{"type":"function","title":"GlossiaWeb.Router.api/2","doc":"","ref":"GlossiaWeb.Router.html#api/2"},{"type":"function","title":"GlossiaWeb.Router.browser/2","doc":"","ref":"GlossiaWeb.Router.html#browser/2"},{"type":"function","title":"GlossiaWeb.Router.call/2","doc":"Callback invoked by Plug on every request.","ref":"GlossiaWeb.Router.html#call/2"},{"type":"function","title":"GlossiaWeb.Router.init/1","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"GlossiaWeb.Router.html#init/1"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.37.3"}}